# schema_salad.tests.test_cwl11

Ensure codegen-produced parsers accept $schemas directives

run individually as py.test -k test_cwl11

## Attributes

`test_dir_name` |
`SchemaType` |

## Functions

`cwl_v1_2_schema`(tmp_path_factory) |
`load_cwl`(cwl_v1_2_schema, src) |
`test_secondaryFiles`(cwl_v1_2_schema) | secondaryFiles
`test_outputBinding`(cwl_v1_2_schema) | secondaryFiles
`test_yaml_tab_error`(cwl_v1_2_schema) | Tabs in the file.

## Module Contents

schema_salad.tests.test_cwl11.test_dir_name = 'tests/'

schema_salad.tests.test_cwl11.SchemaType

schema_salad.tests.test_cwl11.cwl_v1_2_schema(tmp_path_factory)
  Parameters:

    tmp_path_factory (_pytest.tmpdir.TempPathFactory)

  Return type:

    collections.abc.Generator[SchemaType, None, None]

schema_salad.tests.test_cwl11.load_cwl(cwl_v1_2_schema, src)
  Parameters:

    - cwl_v1_2_schema (SchemaType)

    - src (str)

  Return type:

    tuple[Any, dict[str, Any]]

schema_salad.tests.test_cwl11.test_secondaryFiles(cwl_v1_2_schema)

  secondaryFiles

  Parameters:

    cwl_v1_2_schema (SchemaType)

  Return type:

    None

schema_salad.tests.test_cwl11.test_outputBinding(cwl_v1_2_schema)

  secondaryFiles

  Parameters:

    cwl_v1_2_schema (SchemaType)

  Return type:

    None

schema_salad.tests.test_cwl11.test_yaml_tab_error(cwl_v1_2_schema)

  Tabs in the file.

  Parameters:

    cwl_v1_2_schema (SchemaType)

  Return type:

    None